## deepin-debug-config 1.0.44

=== debian/changelog ===
deepin-debug-config (1.0.44-deepin1) stable; urgency=medium

  * create dic when off the debug mode.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Mon, 23 Jun 2025 12:16:00 +0800

deepin-debug-config (1.0.43-deepin1) stable; urgency=medium

  * fix: networkmanager cann't set log off.
  * feat: add pipewire setting

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 13 Jun 2025 14:28:30 +0800

deepin-debug-config (0.0.42-deepin1) stable; urgency=medium

  * feat: update kwin logging rules

 -- guoyao <guoyao@uniontech.com>  Fri, 25 Apr 2025 10:57:08 +0800

deepin-debug-config (1.0.41-deepin1) unstable; urgency=medium

  * app-store change id.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 25 Apr 2025 09:54:08 +0800

deepin-debug-config (1.0.40-deepin1) unstable; urgency=medium

  * Remove unsuitable items.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 07 Mar 2025 17:21:59 +0800

deepin-debug-config (1.0.39-deepin1) stable; urgency=medium

  * Filter dev and sysv when installing debug packages.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 14 Feb 2025 18:46:26 +0800

deepin-debug-config (1.0.38-deepin1) stable; urgency=medium

  * fix cann't debug systemd.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Mon, 20 Jan 2025 15:33:12 +0800

deepin-debug-config (1.0.37-deepin1) stable; urgency=medium

  * fix can't set coredump if systemd-coredump not installed.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 20 Dec 2024 11:51:46 +0800

deepin-debug-config (1.0.36-deepin1) stable; urgency=medium

  * Use execvp instead of system
  * Optimize set_coredump and install_dbg scripts
  * Check if the package is installed when setdebug fails.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 13 Dec 2024 13:25:38 +0800

deepin-debug-config (1.0.35-deepin1) stable; urgency=medium

  * fix type arg error.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 06 Dec 2024 10:11:09 +0800
