=== debian/changelog ===
deepin-debug-config (1.0.45-deepin1) stable; urgency=medium

  * Fix: cann't mod NetworkManager debug level.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 08 Aug 2025 10:54:11 +0800
