## deepin-debug-config 1.0.50

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,8 @@
 
 CFLAGS += -MMD -O2 -Wall -g -fPIC $(GLIB_CFLAGS) $(SYSTEMD_CFLAGS)
 LDFLAGS += -L. $(GLIB_LIBS) $(SYSTEMD_LIBS) -lcrypto
+EXEC_CFLAGS = -pie -fPIE
 
-# 源文件列表（排除 generate_sha256.c）
 LIB_SRCS := cJSON.c module_configure.c util.c
 LIB_OBJS := $(patsubst %.c, %.o, $(LIB_SRCS))
 
@@ -29,13 +29,13 @@
 all: $(PACKAGENAME) deepin-debug-config-service translate
 
 $(PACKAGENAME): main.o $(LIBSO)
-	$(CC) -o $@ $^ -L. -ldbgconfig
+	$(CC) $(CFLAGS) -o $@ $^ -L. -ldbgconfig $(LDFLAGS) $(EXEC_CFLAGS)
 
 deepin-debug-config-service: bus-service.o $(LIBSO)
-	$(CC) -o $@ $^ -L. -ldbgconfig $(SYSTEMD_LIBS)
+	$(CC) $(CFLAGS) -o $@ $^ -L. -ldbgconfig $(LDFLAGS) $(EXEC_CFLAGS)
 
 $(LIBSO): $(LIB_OBJS) config_sha256.o
-	$(CC) -shared -o $@ $^ $(LDFLAGS)
+	$(CC) $(CFLAGS) -shared -o $@ $^ $(LDFLAGS)
 
 config_sha256.c: generate_sha256
 	./generate_sha256
@@ -53,10 +53,10 @@
 	$(INSTALL) -s -m 755 deepin-debug-config-service $(DESTDIR)$(BINDIR)/
 	mkdir -pv $(DESTDIR)$(LIBDIR)
 	$(INSTALL) -s -m 644 $(LIBSO) $(DESTDIR)$(LIBDIR)/
-	mkdir -pv $(DESTDIR)$(PREFIX)/share/deepin-debug-config/deepin-debug-config.d
+	mkdir -pv $(DESTDIR)$(PREFIX)/share/deepin-debug-config/deepin-debug-config.d/dbg
 	$(INSTALL) -s -m 644 out/deepin-debug-config/deepin-debug-config.d/*.json $(DESTDIR)$(PREFIX)/share/deepin-debug-config/deepin-debug-config.d/
-	$(INSTALL) -s -m 644 out/deepin-debug-config/deepin-debug-config.d/*.conf $(DESTDIR)$(PREFIX)/share/deepin-debug-config/deepin-debug-config.d/
-	$(INSTALL) -s -m 644 out/deepin-debug-config/deepin-debug-config.d/dbg.sources.list $(DESTDIR)$(PREFIX)/share/deepin-debug-config/deepin-debug-config.d/sources.list
+	$(INSTALL) -s -m 644 out/deepin-debug-config/deepin-debug-config.d/dbg/*.conf $(DESTDIR)$(PREFIX)/share/deepin-debug-config/deepin-debug-config.d/dbg/
+	$(INSTALL) -s -m 644 out/deepin-debug-config/deepin-debug-config.d/dbg/dbg.sources.list $(DESTDIR)$(PREFIX)/share/deepin-debug-config/deepin-debug-config.d/dbg/sources.list
 	mkdir -pv $(DESTDIR)$(PREFIX)/share/deepin-debug-config/shell
 	$(INSTALL) -s -m 755 out/deepin-debug-config/shell/*.sh $(DESTDIR)$(PREFIX)/share/deepin-debug-config/shell/
 	mkdir -pv $(DESTDIR)$(PREFIX)/share/locale
