=== debian/changelog ===
deepin-debug-config (1.0.50-deepin1) stable; urgency=medium

  * Calendar, dconfig-daemon, dde-service-manager, dde-shell, 
  * and launchpad support debug mode.
  * Modify the value returned by querying state via dbus; if 
  * it is ON, return debug.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Thu, 20 Nov 2025 14:35:01 +0800

deepin-debug-config (1.0.49-deepin1) stable; urgency=medium

  * Just add version.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Mon, 10 Nov 2025 16:35:57 +0800

deepin-debug-config (1.0.48-deepin1) stable; urgency=medium

  * Secure compilation.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Thu, 30 Oct 2025 17:26:43 +0800

deepin-debug-config (1.0.47-deepin1) stable; urgency=medium

  * Added reload function to support setting initialization level.
  * Fix bug: cannot set the coredump switch via dbus
  * Code optimization

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Mon, 27 Oct 2025 11:50:59 +0800

deepin-debug-config (1.0.46-deepin1) stable; urgency=medium

  * Add license.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Thu, 16 Oct 2025 12:07:08 +0800
