## deepin-debug-config 1.0.52

=== debian/changelog ===
deepin-debug-config (1.0.52-deepin1) stable; urgency=medium

  * App-store support debug mode.
  * Fix coredump caused by incorrectly formatted JSON.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Thu, 18 Dec 2025 13:58:31 +0800

deepin-debug-config (1.0.51-deepin1) stable; urgency=medium

  * add dde_debug and qt_debug.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 12 Dec 2025 18:08:04 +0800
